<?xml version="1.0" encoding="utf-8"?>
<device image="Futurelight PHS 300 E.png" type="DMXDevice" dmxaddresscount="21" DefaultDisplayStyle="CUSTOM" dmxcversion="3.1.0" ddfversion="1.0">
  <information>
    <model>PHS 300 E</model>
    <vendor>Futurelight</vendor>
    <author>Nicolai Hoffmann</author>
    <comment>05.12.2019</comment>
  </information>
  <functions>
    <position>
      <pan dmxchannel="0" finedmxchannel="19">
        <range range="540" />
      </pan>
      <tilt dmxchannel="1" finedmxchannel="20">
        <range range="265" />
      </tilt>
    </position>
    <ptspeed dmxchannel="2">
      <range type="linear" mindmx="225" maxdmx="0" />
    </ptspeed>
    <colorwheel dmxchannel="3">
      <step type="color" val="#ffffff" mindmx="0" maxdmx="13" caption="Weiß" />
      <step type="color" val="#ff0000" mindmx="14" maxdmx="27" caption="Rot" />
      <step type="color" val="#0000ff" mindmx="28" maxdmx="41" caption="Blau" />
      <step type="color" val="#00ff00" mindmx="42" maxdmx="55" caption="Grün" />
      <step type="color" val="#fffc00" mindmx="56" maxdmx="69" caption="Gelb" />
      <step type="color" val="#fc00ff" mindmx="70" maxdmx="83" caption="Magenta" />
      <step type="color" val="#6000ff" mindmx="84" maxdmx="97" caption="UV" />
      <step type="color" val="#ffce9f" mindmx="98" maxdmx="111" caption="CTO" />
      <step type="color" val="#def8ff" mindmx="112" maxdmx="127" caption="CTB" />
      <wheelrotation>
        <step type="stop" mindmx="190" maxdmx="193" />
        <range type="cw" mindmx="189" maxdmx="128" minval="0.1" maxval="8" />
        <range type="ccw" mindmx="194" maxdmx="255" minval="0.1" maxval="8" />
      </wheelrotation>
    </colorwheel>
    <cmy>
      <cyan dmxchannel="4" />
      <magenta dmxchannel="5" />
      <yellow dmxchannel="6" />
    </cmy>
    <gobowheel dmxchannel="7">
      <goborotation dmxchannel="8">
        <step type="stop" mindmx="190" maxdmx="193" />
        <range type="cw" mindmx="189" maxdmx="128" minval="0.1" maxval="8" />
        <range type="ccw" mindmx="194" maxdmx="255" minval="0.1" maxval="8" />
      </goborotation>
      <goboindex dmxchannel="8">
        <range range="360" mindmx="0" maxdmx="127" />
      </goboindex>
      <goboshake />
      <step type="open" mindmx="0" maxdmx="9" caption="Offen" />
      <step type="gobo" mindmx="10" maxdmx="19" val="ICON-000441.png" caption="Balkengitter">
        <range handler="goboshake" mindmx="70" maxdmx="89" minval="0.1" maxval="3" />
      </step>
      <step type="gobo" mindmx="20" maxdmx="29" val="ICON-000621.png" caption="Spirale">
        <range handler="goboshake" mindmx="90" maxdmx="109" minval="0.1" maxval="3" />
      </step>
      <step type="gobo" mindmx="30" maxdmx="39" val="ICON-000654.png" caption="Explosion">
        <range handler="goboshake" mindmx="110" maxdmx="129" minval="0.1" maxval="3" />
      </step>
      <step type="gobo" mindmx="40" maxdmx="49" val="ICON-000651.png" caption="Wellen">
        <range handler="goboshake" mindmx="130" maxdmx="149" minval="0.1" maxval="3" />
      </step>
      <step type="gobo" mindmx="50" maxdmx="59" val="ICON-000670.png" caption="Sonne">
        <range handler="goboshake" mindmx="150" maxdmx="169" minval="0.1" maxval="3" />
      </step>
      <step type="gobo" mindmx="60" maxdmx="69" val="ICON-000788.png" caption="Wassereffekt">
        <range handler="goboshake" mindmx="170" maxdmx="189" minval="0.1" maxval="3" />
      </step>
      <wheelrotation>
        <range type="cw" mindmx="190" maxdmx="255" minval="0.1" maxval="2" />
      </wheelrotation>
    </gobowheel>
    <gobowheel dmxchannel="9">
      <goboshake />
      <step type="open" mindmx="0" maxdmx="13" caption="Offen" />
      <step type="gobo" mindmx="14" maxdmx="27" val="ICON-000834.png" caption="Dreiecke">
        <range handler="goboshake" mindmx="112" maxdmx="127" minval="0.1" maxval="3" />
      </step>
      <step type="gobo" mindmx="28" maxdmx="41" val="ICON-000925.png" caption="Sonne">
        <range handler="goboshake" mindmx="128" maxdmx="143" minval="0.1" maxval="3" />
      </step>
      <step type="gobo" mindmx="42" maxdmx="55" val="ICON-000004.gif" caption="Kosmos">
        <range handler="goboshake" mindmx="144" maxdmx="159" minval="0.1" maxval="3" />
      </step>
      <step type="gobo" mindmx="56" maxdmx="69" val="ICON-000657.png" caption="Mandala">
        <range handler="goboshake" mindmx="160" maxdmx="175" minval="0.1" maxval="3" />
      </step>
      <step type="gobo" mindmx="70" maxdmx="83" val="ICON-000006.gif" caption="Sterne">
        <range handler="goboshake" mindmx="176" maxdmx="191" minval="0.1" maxval="3" />
      </step>
      <step type="gobo" mindmx="84" maxdmx="97" val="ICON-000898.png" caption="Kreis">
        <range handler="goboshake" mindmx="192" maxdmx="207" minval="0.1" maxval="3" />
      </step>
      <step type="gobo" mindmx="98" maxdmx="111" val="ICON-001007.png" caption="Punkte">
        <range handler="goboshake" mindmx="208" maxdmx="223" minval="0.1" maxval="3" />
      </step>
      <wheelrotation>
        <range type="cw" mindmx="224" maxdmx="255" minval="0.1" maxval="2" />
      </wheelrotation>
    </gobowheel>
    <prism dmxchannel="10">
      <prismrotation dmxchannel="11">
        <step type="stop" mindmx="190" maxdmx="193" />
        <range type="cw" mindmx="189" maxdmx="128" minval="0.1" maxval="8" />
        <range type="ccw" mindmx="194" maxdmx="255" minval="0.1" maxval="8" />
      </prismrotation>
      <prismindex dmxchannel="11">
        <range range="360" mindmx="0" maxdmx="127" />
      </prismindex>
      <step type="open" mindmx="0" maxdmx="31" caption="Offen" />
      <step type="prism" mindmx="32" maxdmx="63" caption="3-Facetten-Prisma" />
      <step type="prism" mindmx="64" maxdmx="95" caption="3D-Prisma" />
    </prism>
    <frost dmxchannel="10">
      <step type="open" mindmx="0" maxdmx="31" />
      <range type="linear" mindmx="96" maxdmx="127" minval="0" maxval="100" />
    </frost>
    <focus dmxchannel="12">
      <range type="linear" mindmx="0" maxdmx="255" />
    </focus>
    <shutter dmxchannel="13">
      <step type="closed" mindmx="0" maxdmx="31" />
      <step type="open" mindmx="32" maxdmx="63" />
      <step type="open" mindmx="96" maxdmx="127" />
      <step type="open" mindmx="160" maxdmx="191" />
      <step type="open" mindmx="224" maxdmx="255" />
    </shutter>
    <strobe dmxchannel="13">
      <range type="linear" mindmx="64" maxdmx="95" minval="0" maxval="13" />
      <range type="pulse" mindmx="128" maxdmx="159" minval="0" maxval="13" />
      <range type="random" mindmx="192" maxdmx="223" minval="0" maxval="13" />
    </strobe>
    <dimmer dmxchannel="14">
      <range type="linear" mindmx="0" maxdmx="255" />
    </dimmer>
    <iris dmxchannel="15">
      <range type="linear" mindmx="191" maxdmx="0" />
      <range type="linear" mindmx="192" maxdmx="223" />
      <range type="linear" mindmx="224" maxdmx="255" />
    </iris>
    <raw dmxchannel="16" name="Geschwindigkeit CMY">
      <range type="linear" mindmx="0" maxdmx="255" />
    </raw>
    <rawstep dmxchannel="18" name="Funktionen">
      <step caption="Keine Funktion" mindmx="0" maxdmx="19" />
      <step caption="Split-Colours" mindmx="20" maxdmx="29" />
      <step caption="Reset" mindmx="80" maxdmx="84" />
      <step caption="Lampe AN" mindmx="40" maxdmx="59" />
      <step caption="Lampe AUS" mindmx="60" maxdmx="79" />
    </rawstep>
  </functions>
  <procedures />
</device>